/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.translate;

import java.util.*;

/**
 *  Translation Texts for Look & Feel
 *
 *  @author     Halim Englen
 *  @version    $Id: PlafRes_in.java,v 1.1 2008/01/16 07:34:31 jrmt Exp $
 */
public class PlafRes_in extends ListResourceBundle
{
	/** The data    */
	static final Object[][] contents = new String[][]
	{
	{ "BackColType",            "Tipe Warna Latar Belakang" },
	{ "BackColType_Flat",       "Rata" },
	{ "BackColType_Gradient",   "Gradien" },
	{ "BackColType_Lines",      "Garis" },
	{ "BackColType_Texture",    "Textur" },
	//
	{ "LookAndFeelEditor",      "Editor Look & Feel" },
	{ "LookAndFeel",            "Look & Feel" },
	{ "Theme",                  "Tema" },
	{ "EditCompiereTheme",      "Ubah Tema Compiere" },
	{ "SetDefault",             "Latar Belakang Asal" },
	{ "SetDefaultColor",        "Warna Latar Belakang" },
	{ "ColorBlind",             "Defisiensi Warna" },
	{ "Example",                "Contoh" },
	{ "Reset",                  "Reset" },
	{ "OK",                     "OK" },
	{ "Cancel",                 "Batal" },
	//
	{ "CompiereThemeEditor",    "Compiere Tema Editor" },
	{ "MetalColors",            "Warna Metal" },
	{ "CompiereColors",         "Warna Compiere" },
	{ "CompiereFonts",          "Compiere Fonts" },
	{ "Primary1Info",           "Bayangan, Pemisah" },
	{ "Primary1",               "Utama 1" },
	{ "Primary2Info",           "Baris Fokus, Menu yang Dipilih" },
	{ "Primary2",               "Utama 2" },
	{ "Primary3Info",           "Table Selected Row, Selected Text, ToolTip Background" },
	{ "Primary3",               "Utama 3" },
	{ "Secondary1Info",         "Border Lines" },
	{ "Secondary1",             "Sekunder 1" },
	{ "Secondary2Info",         "Inactive Tabs, Pressed Fields, Inactive Border + Text" },
	{ "Secondary2",             "Sekunder 2" },
	{ "Secondary3Info",         "Background" },
	{ "Secondary3",             "Sekunder 3" },
	//
	{ "ControlFontInfo",        "Control Font" },
	{ "ControlFont",            "Label Font" },
	{ "SystemFontInfo",         "Tool Tip, Tree nodes" },
	{ "SystemFont",             "System Font" },
	{ "UserFontInfo",           "User Entered Data" },
	{ "UserFont",               "Field Font" },
//	{ "SmallFontInfo",          "Reports" },
	{ "SmallFont",              "Small Font" },
	{ "WindowTitleFont",        "Title Font" },
	{ "MenuFont",               "Menu Font" },
	//
	{ "MandatoryInfo",          "Mandatory Field Background" },
	{ "Mandatory",              "Mandatory" },
	{ "ErrorInfo",              "Error Field Background" },
	{ "Error",                  "Error" },
	{ "InfoInfo",               "Info Field Background" },
	{ "Info",                   "Info" },
	{ "WhiteInfo",              "Lines" },
	{ "White",                  "Putih" },
	{ "BlackInfo",              "Lines, Text" },
	{ "Black",                  "Hitam" },
	{ "InactiveInfo",           "Inactive Field Background" },
	{ "Inactive",               "Inactive" },
	{ "TextOKInfo",             "OK Text Foreground" },
	{ "TextOK",                 "Text - OK" },
	{ "TextIssueInfo",          "Error Text Foreground" },
	{ "TextIssue",              "Text - Error" },
	//
	{ "FontChooser",            "Font Chooser" },
	{ "Fonts",                  "Fonts" },
	{ "Plain",                  "Plain" },
	{ "Italic",                 "Italic" },
	{ "Bold",                   "Bold" },
	{ "BoldItalic",             "Bold & Italic" },
	{ "Name",                   "Nama" },
	{ "Size",                   "Ukuran" },
	{ "Style",                  "Gaya" },
	{ "TestString",             "This is just a Test! The quick brown Fox is doing something. 12,3456.78 LetterLOne = l1 LetterOZero = O0" },
	{ "FontString",             "Font" },
	//
	{ "CompiereColorEditor",    "Editor Warna Compiere" },
	{ "CompiereType",           "Tipe Warna" },
	{ "GradientUpperColor",     "Warna Atas Gradien" },
	{ "GradientLowerColor",     "Warna Bawah Gradien" },
	{ "GradientStart",          "Mulai Gradien" },
	{ "GradientDistance",       "Jarak Gradien" },
	{ "TextureURL",             "Textur URL" },
	{ "TextureAlpha",           "Textur Alpha" },
	{ "TextureTaintColor",      "Textur Warna Taint" },
	{ "LineColor",              "Warna Baris" },
	{ "LineBackColor",          "Warna Latar Belakang" },
	{ "LineWidth",              "Lebar Baris" },
	{ "LineDistance",           "Jarak Baris" },
	{ "FlatColor",              "Warna Flat" }
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res
