/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.translate;

import java.util.*;

/**
 *	Setup Resources for Finnish language
 *
 * 	@author 	Petteri Soininen (petteri.soininen@netorek.fi)
 * 	@version 	$Id: SetupRes_fi.java,v 1.1 2008/01/16 07:34:31 jrmt Exp $
 */
public class SetupRes_fi extends ListResourceBundle
{
		/**	
	    * Translation Info
	    */
		static final Object[][] contents = new String[][]{
		{ "CompiereServerSetup", 	"Compiere-palvelimen Asetukset" },
		{ "Ok", 					"Hyv\ufffdksy" },
		{ "File", 					"Tiedosto" },
		{ "Exit", 					"Poistu" },
		{ "Help", 					"Help" },
		{ "PleaseCheck", 			"Ole hyv\ufffd ja valitse" },
		{ "UnableToConnect", 		"Yhteydenotto Compieren Web-Help:in ei onnistu" },
		//
		{ "CompiereHomeInfo", 		"Compiere Home on p\ufffd\ufffdkansio" },
		{ "CompiereHome", 			"Compiere Home" },
		{ "WebPortInfo", 			"Web (HTML) Portti" },
		{ "WebPort", 				"Web Portti" },
		{ "AppsServerInfo", 		"Sovelluspalvelimen Nimi" },
		{ "AppsServer", 			"Sovelluspalvelin" },
		{ "DatabaseTypeInfo", 		"Tietokantatyyppi" },
		{ "DatabaseType", 			"Tietokantatyyppi" },
		{ "DatabaseNameInfo", 		"Tietokannan Nimi" },
		{ "DatabaseName", 			"Tietokannan Nimi (SID)" },
		{ "DatabasePortInfo", 		"Tietokannan kuuntelijaportti" },
		{ "DatabasePort", 			"Tietokantaportti" },
		{ "DatabaseUserInfo", 		"Tietokannan Compiere-k\ufffdytt\ufffdj\ufffdtunnus" },
		{ "DatabaseUser", 			"Tietokannan k\ufffdytt\ufffdj\ufffdtunnus" },
		{ "DatabasePasswordInfo", 	"Tietokannan Compiere-salasana" },
		{ "DatabasePassword", 		"Tietokannan salasana" },
		{ "TNSNameInfo", 			"TNS tai Globaali Tietokannan Nimi" },
		{ "TNSName", 				"TNS Nimi" },
		{ "SystemPasswordInfo", 	"J\ufffdrjestelm\ufffdsalasana" },
		{ "SystemPassword", 		"J\ufffdrjestelm\ufffdsalasana" },
		{ "MailServerInfo", 		"S\ufffdhk\ufffdpostipalvelin" },
		{ "MailServer", 			"S\ufffdhk\ufffdpostipalvelin" },
		{ "AdminEMailInfo", 		"Compiere-yll\ufffdpit\ufffdj\ufffdn S\ufffdhk\ufffdposti" },
		{ "AdminEMail", 			"Yll\ufffdpit\ufffdj\ufffdn S\ufffdhk\ufffdposti" },
		{ "DatabaseServerInfo", 	"Tietokantapalvelimen Nimi" },
		{ "DatabaseServer", 		"Tietokantapalvelin" },
		{ "JavaHomeInfo", 			"Java-kotihakemisto" },
		{ "JavaHome", 				"Java-koti" },
		{ "JNPPortInfo", 			"Sovelluspalvelimen JNP-portti" },
		{ "JNPPort", 				"JNP-portti" },
		{ "MailUserInfo", 			"Compiere-s\ufffdhk\ufffdpostik\ufffdytt\ufffdj\ufffd" },
		{ "MailUser", 				"S\ufffdhk\ufffdpostik\ufffdytt\ufffdj\ufffd" },
		{ "MailPasswordInfo", 		"Compiere-s\ufffdhk\ufffdpostisalasana" },
		{ "MailPassword", 			"S\ufffdhk\ufffdpostisalasana" },
		{ "KeyStorePassword",		"Key Store Password" },
		{ "KeyStorePasswordInfo",	"Password for SSL Key Store" },
		//
		{ "JavaType",				"Java VM"},
		{ "JavaTypeInfo",			"Java VM Vendor"},
		{ "AppsType",				"Server Type"},
		{ "AppsTypeInfo",			"J2EE Application Server Type"},
		{ "DeployDir",				"Deployment"},
		{ "DeployDirInfo",			"J2EE Deployment Directory"},
		{ "ErrorDeployDir",			"Error Deployment Directory"},
		//
		{ "TestInfo", 				"Testaa Asetukset" },
		{ "Test", 					"Testaa" },
		{ "SaveInfo", 				"Tallenna Asetukset" },
		{ "Save", 					"Tallenna" },
		{ "HelpInfo", 				"Hae Apua" },
		//
		{ "ServerError", 			"Palvelimen Asetusvirhe" },
		{ "ErrorJavaHome", 			"Java-kotivirhe" },
		{ "ErrorCompiereHome", 		"Compiere-kotivirhe" },
		{ "ErrorAppsServer", 		"Sovelluspalvelinvirhe (\ufffdl\ufffd k\ufffdyt\ufffd paikallisverkkoasemaa)" },
		{ "ErrorWebPort", 			"Web-porttivirhe" },
		{ "ErrorJNPPort", 			"JNP-porttivirhe" },
		{ "ErrorDatabaseServer", 	"Tietokantapalvelinvirhe (\ufffdl\ufffd k\ufffdyt\ufffd paikallisverkkoasemaa)" },
		{ "ErrorDatabasePort", 		"Tietokantaporttivirhe" },
		{ "ErrorJDBC", 				"JDBC-yhteysvirhe" },
		{ "ErrorTNS", 				"TNS-yhteysvirhe" },
		{ "ErrorMailServer", 		"S\ufffdhk\ufffdpostipalvelinvirhe (\ufffdl\ufffd k\ufffdyt\ufffd paikallisverkkoasemaa)" },
		{ "ErrorMail", 				"S\ufffdhk\ufffdpostivirhe" },
		{ "ErrorSave", 				"Tiedostontallennusvirhe" },

		{ "NewSecurityKey",			"Your new Security Key (lib/CompiereSecure.dat)\n"
			+ "was created for you to be used for Encryption.\n" 
			+ "Please make sure to back it up securely.\n"
			+ "If lost, you are not able to recover encrypted data." },
		{ "SecurityKeyError",		"Error ocured when creating/installing your Security Key.\n"
			+ "Please contact support with Log information." }, 	
		{ "Start",					"Start" },
		{ "Done",					"Finished" },
		{ "SelectOption",			"Select Option" },
		{ "ServerInstall",			"Server Install" },
		{ "CreateNewDatabase",		"Create new Database" },
		{ "DropOldCreateNewDatabase",	"DROP OLD and create NEW Database" },
		{ "MigrateExistingDatabase",	"Migrate Database" },
			
		{ "ErrorProcess",			"Process Error\nPlease check log for details" },
		{ "ServerSetupComplete",	"Server Setup Complete\nPlease Migrate or Import new Database." },
		{ "DropExistingDatabase",	"Do you want to DROP the existing database\n(loosing all existing data)\nand create a NEW database?" }, 
			
		{ "JNDIPort", 				"JNDI Port" },
		{ "ErrorWasClient", 		"Error WAS Client PATH" }
		};

	/**
	 * 	Get Contents
	 * 	@return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}	//	getContents

}	//	SerupRes
