/******************************************************************************
 * Product: Compiere ERP & CRM Smart Business Solution                        *
 * Copyright (C) 1999-2007 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 3600 Bridge Parkway #102, Redwood City, CA 94065, USA      *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.apps;

import java.awt.*;
import java.beans.*;
import org.compiere.util.*;

/**
 * 	Apps Keyboard Focus Manager
 *	
 *  @author Jorg Janke
 *  @version $Id: AKeyboardFocusManager.java,v 1.1 2008/01/16 07:43:00 jrmt Exp $
 */
public class AKeyboardFocusManager extends DefaultKeyboardFocusManager
	implements PropertyChangeListener
{
	/**
	 * 	Get default Keyboard Focus Mgr
	 *	@return focus manager
	 */
	public static AKeyboardFocusManager get()
	{
		if (s_kfm == null)
			s_kfm = new AKeyboardFocusManager();
		return s_kfm;
	}	//	get
	
	/**	Default Focus Manager				*/
	private static AKeyboardFocusManager	s_kfm = new AKeyboardFocusManager();
	
	/**	Logger	*/
    private static CLogger log = CLogger.getCLogger(AKeyboardFocusManager.class);
    
	/**
	 * 	Constructor
	 */
	public AKeyboardFocusManager ()
	{
		super ();
		setDefaultFocusTraversalPolicy(AFocusTraversalPolicy.get());
	//	addPropertyChangeListener(this);
	}	//	AKeyboardFocusManager

	/**
	 * 	Property Change
	 *	@param evt event
	 */
	public void propertyChange(PropertyChangeEvent evt)
    {
		log.warning(evt.getPropertyName() + ": " 
			+ evt.getOldValue() + " -> " + evt.getNewValue());
    }	//	propertyChange
	
}	//	AKeyboardFocusManager
